package com.ywt.config;

import com.ywt.core.utils.Checker;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;


/**
 * @author daiyihua
 * @create 2019-01-16 11:54 AM
 * @desc 配置文件传过来的参数配置
 **/
@Component
public class ParameterConfigurer {

    @Value("${test.doctor.ids}")
    private String testDoctorIds;

    @Value("${test.admin.ids}")
    private String testAdminIds;

    @Value("${ywt.wxsite.domain}")
    private String ywtMsiteDomainStr;

    public String getTestDoctorIds() {
        return testDoctorIds;
    }

    public String getTestAdminIds() {
        return testAdminIds;
    }

    public String getYwtMsiteDomainStr() {
        return ywtMsiteDomainStr;
    }

    public String getYwtHttpsMsiteDomain() {
        return Checker.getStringValue("https://") + getYwtMsiteDomainStr();
    }

}
